org.springframework.data.auditing

## Class ReactiveAuditingHandler

- java.lang.Object
- - org.springframework.data.auditing.AuditingHandlerSupport
  - - org.springframework.data.auditing.ReactiveAuditingHandler

Direct Known Subclasses:
  ReactiveIsNewAwareAuditingHandler

    public class ReactiveAuditingHandler
    extends AuditingHandlerSupport

Auditing handler to mark entity objects created and modified.

Since:
  2.4
Author:
  Mark Paluch, Christoph Strobl

### Constructor Summary

Constructors
Constructor and Description
`ReactiveAuditingHandler(PersistentEntities entities)` Creates a new `ReactiveAuditingHandler` using the given `PersistentEntities` when looking up auditing metadata.

### Method Summary

All Methods Instance Methods Concrete Methods
`<T> reactor.core.publisher.Mono<T>` `markCreated(T source)` Marks the given object as created.
`<T> reactor.core.publisher.Mono<T>` `markModified(T source)` Marks the given object as modified.
`void` `setAuditorAware(ReactiveAuditorAware<?> auditorAware)` Setter to inject a `ReactiveAuditorAware` component to retrieve the current auditor.

### Methods inherited from class org.springframework.data.auditing.AuditingHandlerSupport

`isAuditable, setDateTimeForNow, setDateTimeProvider, setModifyOnCreation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReactiveAuditingHandler

    public ReactiveAuditingHandler(PersistentEntities entities)

Creates a new `ReactiveAuditingHandler` using the given `PersistentEntities` when looking up auditing metadata.

Parameters:
  `entities` - must not be null.

### Method Detail

#### setAuditorAware

    public void setAuditorAware(ReactiveAuditorAware<?> auditorAware)

Setter to inject a `ReactiveAuditorAware` component to retrieve the current auditor.

Parameters:
  `auditorAware` - must not be null.

#### markCreated

    public <T> reactor.core.publisher.Mono<T> markCreated(T source)

Marks the given object as created.

Parameters:
  `source` - must not be null.

#### markModified

    public <T> reactor.core.publisher.Mono<T> markModified(T source)

Marks the given object as modified.

Parameters:
  `source` - must not be null.